CREATE DATABASE findus CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

USE findus;

CREATE TABLE raum (
    nummer INT NOT NULL PRIMARY KEY,
    bezeichnung VARCHAR(80) NOT NULL,
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO raum (nummer, bezeichnung)
VALUES 	(1, 'Küche'),
		(2, 'Wohnzimmer/Serverraum'),
		(3, 'Gemeinschaftsraum'),
		(4, 'Chemielabor'),
		(5, 'Werkstatt');

CREATE TABLE ort (
	id INT AUTO_INCREMENT PRIMARY KEY
    bezeichnung VARCHAR(1) NOT NULL,
    beschreibung VARCHAR(255),
    raumNummer INT NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO ort (bezeichnung, beschreibung, raumNummer)
VALUES	('A', 'An der Tür zu Raum 4.', 3),
		('B', 'Neben A an der Fensterseite.', 3),
		('C', 'An der Tür zu Raum 2 an der Fensterseite.', 3),
		('D', 'An der Tür zu Raum 2 neben C.', 3),
		('E', 'Neben D gegenüber der Fensterseite, über dem E-Technik-Platz.', 3),
		('F', 'Neben E über dem PC-Platz, an der Tür zu Raum 4.', 3);

CREATE TABLE gegenstand (
	id INT AUTO_INCREMENT PRIMARY KEY,
	bezeichnung VARCHAR(80) NOT NULL,
	beschreibung VARCHAR(255),
	tags VARCHAR(2000)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
